Bug 228880 - games/scummvm-tools: Update to 2.0.0
Summary: games/scummvm-tools: Update to 2.0.0
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Many People
Assignee: Carlos J. Puga Medina
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2018-06-10 23:17 UTC by Carlos J. Puga Medina
Modified: 2018-06-12 11:26 UTC (History)
1 user (show)

See Also:


Attachments
patch-scummvm-tools-2.0.0.diff (1.42 KB, patch)
2018-06-10 23:17 UTC, Carlos J. Puga Medina
no flags Details | Diff
patch-scummvm-tools-2.0.0.diff (1.50 KB, patch)
2018-06-10 23:23 UTC, Carlos J. Puga Medina
no flags Details | Diff
patch-scummvm-tools-2.0.0.diff (2.10 KB, patch)
2018-06-11 00:11 UTC, Carlos J. Puga Medina
no flags Details | Diff
patch-scummvm-tools-2.0.0.diff (2.63 KB, patch)
2018-06-11 00:16 UTC, Carlos J. Puga Medina
cpm: maintainer-approval? (lme)
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Carlos J. Puga Medina freebsd_committer 2018-06-10 23:17:18 UTC
Created attachment 194143 [details]
patch-scummvm-tools-2.0.0.diff

- Use PORTVERSION instead of DISTVERSION
- Update MASTER_SITES
- Add missing dependencies
- Add USES=iconv

Noteworthy changes:

2.0.0 (2017-12-17)
 - Fix handling of output path for the compress_touche tool.
 - Fix handling of input path for the extract_cine tool. It was only working
   when run from the directory that contains the game data.
 - Fix memory corruption that could cause random errors during extraction when
   using the extract_cine tool.

1.9.0 (2016-10-27)
 - Fix random crashes in the tool to convert Broken Sword 1 speech files.
Comment 1 Carlos J. Puga Medina freebsd_committer 2018-06-10 23:23:05 UTC
Created attachment 194144 [details]
patch-scummvm-tools-2.0.0.diff

- Pet portlint
Comment 2 Carlos J. Puga Medina freebsd_committer 2018-06-11 00:11:23 UTC
Created attachment 194145 [details]
patch-scummvm-tools-2.0.0.diff

- Add LICENSE_FILE
- Add DESKTOP_ENTRIES
- Install more DOCS
- Cosmetic fixes
Comment 3 Carlos J. Puga Medina freebsd_committer 2018-06-11 00:16:06 UTC
Created attachment 194146 [details]
patch-scummvm-tools-2.0.0.diff
Comment 4 Lars Engels freebsd_committer 2018-06-11 12:53:52 UTC
Thanks, feel free to commit this!
Comment 5 commit-hook freebsd_committer 2018-06-12 11:24:08 UTC
A commit references this bug:

Author: cpm
Date: Tue Jun 12 11:23:15 UTC 2018
New revision: 472240
URL: https://svnweb.freebsd.org/changeset/ports/472240

Log:
  games/scummvm-tools: Update to 2.0.0

  - Use PORTVERSION instead of DISTVERSION
  - Update MASTER_SITES
  - Add LICENSE_FILE
  - Add missing dependencies
  - Add USES=iconv
  - Add DESKTOP_ENTRIES
  - Install more DOCS
  - Pet portlint

  Noteworthy changes:

  2.0.0 (2017-12-17)
   - Fix handling of output path for the compress_touche tool.
   - Fix handling of input path for the extract_cine tool. It was only working
     when run from the directory that contains the game data.
   - Fix memory corruption that could cause random errors during extraction when
     using the extract_cine tool.

  1.9.0 (2016-10-27)
   - Fix random crashes in the tool to convert Broken Sword 1 speech files.

  PR:		228880
  Submitted by:	cpm
  Approved by:	lme (maintainer)

Changes:
  head/games/scummvm-tools/Makefile
  head/games/scummvm-tools/distinfo
  head/games/scummvm-tools/pkg-plist
Comment 6 Carlos J. Puga Medina freebsd_committer 2018-06-12 11:26:51 UTC
Committed, thanks!